Substy Developers
Creator connections

Send creator connection code

Ask the platform to send an SMS verification code for a pending creator connection. This requests a code; use verify_creator_connection_code after the account owner receives it.

POST/v1/agencies/{agencyId}/creators/{creatorId}/connection/sms-challenges

Ask the platform to send an SMS verification code for a pending creator connection. This requests a code; use verify_creator_connection_code after the account owner receives it.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length
creatorId*string
Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/agencies/string/creators/string/connection/sms-challenges" \  -H "Authorization: Bearer YOUR_API_KEY" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "success": true,    "trustSeconds": null,    "otpState": null,    "error": null  },  "meta": {    "requestId": "string",    "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",    "status": "COMPLETED"  }}